Skip to main content
GET
https://tickward.com/api/v1
/
projects
List projects
curl --request GET \
  --url https://tickward.com/api/v1/projects \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "data": [
    {
      "object": "project",
      "id": "project_123",
      "name": "Launch Plan",
      "color": "#111827",
      "created_at": "2026-06-07T12:00:00.000Z",
      "updated_at": "2026-06-07T12:00:00.000Z",
      "claimed_at": "2026-06-07T12:00:00.000Z",
      "timer_count": 3,
      "space_count": 2
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
default:tw_your_api_key
required

Use a tickward API key from Settings. API keys start with tw_. Store keys as secrets and send them as Authorization: Bearer <key>.

Query Parameters

after
string

Return projects after this project id. Cannot be combined with before.

before
string

Return projects before this project id. Cannot be combined with after.

limit
integer
default:100

Maximum number of projects to return.

Required range: 1 <= x <= 100

Response

Project list.

Paginated list response. When has_more is true, call the same endpoint with after set to the last item id.

object
string
required
Allowed value: "list"
data
object[]
required
has_more
boolean
required